# DE client
class eid::de_client (
  String $make_target = 'DE-prod',
  String $path = '/var/cache/metadata_r1',
) {

  package { ['openjdk-17-jre-headless']: ensure => latest }


  sunet::scriptherder::cronjob { 'update-de':
    cmd         => "sh -c 'cd ${path} && make ${make_target}'",
    minute      => '0',
    weekday     =>  '1',
    hour        =>  '8',
    ok_criteria => ['exit_status=0'],
  }

}
